Submit a Help Request (804) 828-2227 | itsc@vcu.edu
Send us an e-mail
Get help quickly

Call (804) 828-2227 for immediate assistance.

Live Chat Available Mon - Fri, 9am - 4pm Submit a Help Request

Banner Forms (INB) Browser and Java Requirements
Updated October, 2015

Banner Forms (INB) uses your browser and a Java JRE Plug-in to display the Banner Forms in an Oracle Java Applet.

Please download and install the most current version for your operating system,  If you do not have administrative privileges on your machine, please contact your IT support person.

Java 8 is now supported with Banner INB Forms and Image Now has also been tested successfully.

MAC instructions can be found in this Google document MAC Banner Forms and Java 8 instructions

PC instructions

  1. Using IE, download and Save Java 8 install file from java.com
  2. Close all browsers and any applications using Java
  3. Control Panel – Programs – Uninstall all Java Versions (a reboot after would be helpful)
  4. Install Java 8 using saved file from step 1 excluding any search toolbars it offers
  5. Open Control Panel  —  Java  —  General Tab – clear temp files java-clear-temp-files
  6. Open Control Panel – JavaJava Tab – verify Java 1.8 is selected.  If other versions, listed, go back to step 3java-enable-version
  7. Open Control Panel –  Java – Advanced tab – Advanced Security Settings –  Enable TLS 1.0, 1.1 and 1.2  – disable SSL 2.0 Hello.

    Java TLS settings

    Java TLS settings

  8. Apply changes and close Java control panel
  9. Open IE – Internet Options – clear temp files   (optional)
  10. Because the Banner Forms servers are looking for a minimum of Java 7, if Java 8 is the ONLY JRE installed, users may see this warning and should click “Run with the latest version”  java-version-warning

 

 

 

 

BROWSERS

The most recent versions of common browsers such as Internet Explorer or Firefox support the TLS 1.2 protocol by default.   If you have issues loading Banner, you may be using an older browser version and should update.

Please keep in mind Google Chrome does not support the java plug-in thus cannot be used with Banner Forms.

If you have manually change TLS setting in a browser, you can do so.  For Internet Explorer, change the TLS settings in Internet Options – Advanced Tab as shown below

Internet-Explorer-TLS-Settings

Internet-Explorer-TLS-Settings

Banner Forms Vendor – Ellucian – Browser support statement 
“Administrative” Web Applications – Administrative or Staff web applications provide administrative services via a web browser. (Example Banner Forms .. )

Ellucian Statement
Supported Browsers:
The following browsers are supported for Administrative Web Interfaces (such as Banner Forms) Safari on Mac, Firefox on Mac, IE on Windows, Firefox on Windows, and Chrome on Windows.

Google Chrome and Banner INB Prohibitive Use (Use IE instead)
Due to Google’s decision to discontinue support for NPAPI (Netscape Plugin Application Programming Interface) which includes the Java Plug in required for Banner INB, Banner INB users should consider alternatives to Chrome as soon as possible.  See Oracle’s site below for a full explanation along with workarounds.

How do I use Java with the Google Chrome browser?

The message “This plug-in is not supported” may occur when attempting to launch Banner INB in Chrome.

This behavior is a result of intended changes to the Chrome browser to disable NPAPI plugins, which includes the JRE Banner INB uses. For more information, see:

https://www.chromium.org/developers/npapi-deprecation

Currently, the NPAPI plugins can be re-enabled by completing the following steps within Google Chrome.
NOTE: This workaround in Chrome is only applicable until September 2015, when Google plans to remove the NPAPI functionality. At that point, the Oracle JRE will no longer be supported in Chrome, unless Oracle releases a new JRE that works around the NPAPI limitations.

1. In your URL bar, enter:
chrome://flags/#enable-npapi
2. Click the Enable link for the Enable NPAPI configuration option.
3. Click the Relaunch Now button that now appears at the bottom of the configuration page.

October 6, 2015 – browser support

Supported Browsers

Supported Browsers

Our Weblogs

Need Help?

If you need immediate assistance, please contact the helpIT Center at (804) 828-2227 or submit a ticket online. You can also submit feedback through our Feedback form above or leave a comment on specific blog entries.

Don't Get Phished

Don't be a phishing victim - VCU and other reputable organizations will never use email to request that you reply with your password, social security number or confidential personal information. Learn more about phishing »

Follow Us On Twitter

What is VCU Technology Services?

We are responsible for implementing and supporting the technology used around campus, such as the network, phones, enhanced classrooms, and Internet-based systems including myVCU, Blackboard, email, and more.